<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('lib/my_redirect.php');
include('lib/my_log_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();

$log=new my_log_manager();

$manager->fetch_variables(array("action","id_genre","id_movie"));

$type="add";
if($manager->variables["action"]=="Delete Genre")
{
   $type="delete";
}

$error=array();
if(preg_match('/^[0-9]+$/',$manager->variables["id_movie"]) && $manager->variables["id_movie"] > 0 )
{
   $error["movie"]=false;
}
else
{
   $error["movie"]=true;
}
if(preg_match('/^[0-9]+$/',$manager->variables["id_genre"]) && $manager->variables["id_genre"] > 0 )
{
   $error["genre"]=false;
}
else
{
   $error["genre"]=true;
   if($type=="add")
   {
      $manager->variables["error_genre"]=1;
   }
   else
   {
      $manager->variables["error_genre_delete"]=1;
   }
}

if($error["genre"]||$error["movie"])
{
   $link=my_redirect('add_genre.php');
   $link=$manager->compose_link($link,$manager->variables,true);
   $manager->redirect($link);
}
else
{
   if($type=="add")
   {
      $query=sprintf('INSERT INTO movies_genres(id_movie,id_genre) VALUES (%d,%d)',$manager->variables["id_movie"],$manager->variables["id_genre"]);
   }
   else
   {
      $query=sprintf('DELETE FROM movies_genres WHERE id_movie=%d AND id_genre=%d',$manager->variables["id_movie"],$manager->variables["id_genre"]);
   }
   $result=$mysqli->query($query);

   if(!$result)
   {
      $manager->variables["deleted"]="error";
   }

   $log->add_entry('add_genre_run.php',$query);

   $link='info_movie.php';

   $link=$manager->compose_link($link,$manager->variables,true);

   $manager->redirect($link);
}

?>
