<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('lib/my_log_manager.php');
include('lib/my_redirect.php');
include('mysql_connect.php');

$manager=new my_page_manager();
$log=new my_log_manager();

$manager->fetch_variables(array("type","id_movie","id_people","id_role"));

$query=sprintf("DELETE FROM movies_people WHERE id_movie=%d AND id_people=%d AND id_role=%d",$manager->variables["id_movie"],$manager->variables["id_people"],$manager->variables["id_role"]);

$result=$mysqli->query($query);

$log->add_entry("delete_movie_people.php",$query);

// in case of errors the error_manager should have logged everything

if($manager->variables["type"]=="movie")
{
   $link=my_redirect('info_movie.php?id_movie='.$manager->variables["id_movie"].'&deleted=relation');
}
else
{
   $link=my_redirect('info_people.php?id_people='.$manager->variables["id_people"].'&deleted=relation');
}
$manager->redirect($link);
?>
