<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('lib/my_log_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();
$log=new my_log_manager();

// nations list
$query='SELECT id_nation, nation, language FROM nations ORDER BY nation';
$result=$mysqli->query($query);
$nations=array();
$id_nations=array();
while($row=$result->fetch_row())
{
   $id_nations[]=$row[0];
   $nations[]=$row[1].' ('.$row[2].')';
}

$variables=$manager->fetch_variable("id_movie");
$variables=$manager->fetch_variables(array("error_title","error_release_date","error_runtime","error_type"));

$manager->open_page("Movie");

$query=sprintf("SELECT M.title, M.release_date, M.id_nation, M.runtime, M.type FROM movies M WHERE M.id_movie=%d", $manager->variables["id_movie"]);

$result=$mysqli->query($query);
$row=$result->fetch_row();

$form_e=$manager->form('edit_people_run.php');

$manager->write("General Info","bold");

$form_e->open();
if(!empty($manager->variables["error_title"]))
{
   $form_e->add_error('title','Insert title');
}
if(!empty($manager->variables["error_runtime"]))
{
   $form_e->add_error('runtime','Runtime must be a positve integer');
}
if(!empty($manager->variables["error_release_date"]))
{
   $form_e->add_error('release_date','Invalid format, use yyyy-mm-dd');
}
if(!empty($manager->variables["error_type"]))
{
   $form_e->add_error('type','Insert type');
}
$form_e->hidden_input("id_movie",$manager->variables["id_movie"]);
$form_e->text_input("Title: ","title",$row[0]);
$form_e->text_input("Release Date: ","release_date",$row[1]);
$manager->variables["id_nation"]=$row[2];
// nation
$select_n=$form_e->construct_select_input();
$select_n->name="id_nation";
for($i=0;$i<count($nations);$i++)
{
   $select_n->add_option($id_nations[$i],$nations[$i]);
}
$select_n->show_with_text('Nation: ');
// runtime
$form_e->text_input("Runtime (min): ","runtime",$row[3]);
// type
$form_e->text_input("Type: ","type",$row[4]);
$form_e->submit_input("action","Edit Movie");

$form_e->close();

$manager->breakline();
$manager->return_link_with_get('info_movie.php',array("id_movie" => $manager->variables["id_movie"]),"Back");

$manager->close_page();
?>
