<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();

$query='SELECT id_nation, nation, language FROM nations ORDER BY nation';
$result=$mysqli->query($query);
$nations=array();
$id_nations=array();
while($row=$result->fetch_row())
{
   $id_nations[]=$row[0];
   $nations[]=$row[1].' ('.$row[2].')';
}

$manager->open_page('Insert');

$manager->return_link('index.php','HOME');

$manager->fetch_variables(array("action","error_generic","successful"));

if($manager->variables["error_generic"])
{
   $manager->write("Error","red");
}
if($manager->variables["successful"])
{
   $manager->write("Entry added","green");
}

// INSERT MOVIE
$manager->write("Insert Movie","bold");
$form_m=$manager->form('insert_run.php');
// check errors
if($manager->variables["action"]=="Add Movie")
{
   $manager->fetch_variables(array("error_title","error_nation","error_release_date","error_runtime","error_type"));
   $manager->fetch_variables(array("title","nation","release_date","runtime","type"));
   if($manager->variables["error_title"]==1)
   {
      $form_m->add_error("title","Insert title");
   }
   if($manager->variables["error_nation"]==1)
   {
      $form_m->add_error("nation","Select nation");
   }
   if($manager->variables["error_release_date"]==1)
   {
      $form_m->add_error("release_date","Release date invalid!");
   }
   if($manager->variables["error_runtime"]==1)
   {
      $form_m->add_error("runtime","Runtime invalid");
   }
   if($manager->variables["error_type"]==1)
   {
      $form_m->add_error("type","Insert type");
   }
}
$form_m->open();
$form_m->text_input('Title: ','title');
$select_n=$form_m->construct_select_input();
$select_n->name="nation";
$select_n->add_option('0','--select--');
for($i=0;$i<count($nations);$i++)
{
   $select_n->add_option($id_nations[$i],$nations[$i]);
}
$select_n->show_with_text('Nation: ');
$form_m->text_input('Release Date (yyyy-mm-dd): ','release_date');
$form_m->text_input('Runtime (min): ','runtime');
$form_m->text_input('Type (e.g. b/w, color): ','type');
$form_m->submit_input('action','Add Movie');
$form_m->close();

$manager->breakline();

// INSERT PERSON
$manager->write("Insert Person","bold");
$form_m=$manager->form('insert_run.php');
// check errors
if($manager->variables["action"]=="Add Person")
{
   $manager->fetch_variables(array("error_name","error_surname","error_birthdate","error_nationality"));
   $manager->fetch_variables(array("name","surname","birthdate","nationality"));
   if($manager->variables["error_name"]==1)
   {
      $form_m->add_error("name","Insert name");
   }
   if($manager->variables["error_surname"]==1)
   {
      $form_m->add_error("surname","Insert surname");
   }
   if($manager->variables["error_birthdate"]==1)
   {
      $form_m->add_error("birthdate","Birthdate invalid!");
   }
   if($manager->variables["error_nationality"]==1)
   {
      $form_m->add_error("nationality","Select nationality");
   }
}
$form_m->open();
$form_m->text_input('Name: ','name');
$form_m->text_input('Surname: ','surname');
$select_n=$form_m->construct_select_input();
$select_n->name="nationality";
$select_n->add_option('0','--select--');
for($i=0;$i<count($nations);$i++)
{
   $select_n->add_option($id_nations[$i],$nations[$i]);
}
$select_n->show_with_text('Nation: ');
$form_m->text_input('Birthdate (yyyy-mm-dd): ','birthdate');
$form_m->submit_input('action','Add Person');
$form_m->close();

$manager->breakline();

// INSERT ROLE
$manager->write("Insert Role","bold");
$form_m=$manager->form('insert_run.php');
// check errors
if($manager->variables["action"]=="Add Role")
{
   $manager->fetch_variable("error_role");
   $manager->fetch_variable("role");
   if($manager->variables["error_role"]==1)
   {
      $form_m->add_error("role","Insert role");
   }
}
$form_m->open();
$form_m->text_input('Role: ','role');
$form_m->submit_input('action','Add Role');
$form_m->close();

$manager->breakline();

// INSERT GENRE
$manager->write("Insert Genre","bold");
$form_m=$manager->form('insert_run.php');
// check errors
if($manager->variables["action"]=="Add Genre")
{
   $manager->fetch_variable("error_genre");
   $manager->fetch_variable("genre");
   if($manager->variables["error_genre"]==1)
   {
      $form_m->add_error("genre","Insert genre");
   }
}
$form_m->open();
$form_m->text_input('Genre: ','genre');
$form_m->submit_input('action','Add Genre');
$form_m->close();

$manager->breakline();

// INSERT NATION
$manager->write("Insert Nation","bold");
$form_m=$manager->form('insert_run.php');
// check errors
if($manager->variables["action"]=="Add Nation")
{
   $manager->fetch_variables(array("error_nation_name","error_language_name"));
   $manager->fetch_variables(array("nation_name","language_name"));
   if($manager->variables["error_nation_name"]==1)
   {
      $form_m->add_error("nation_name","Insert nation");
   }
   if($manager->variables["error_language_name"]==1)
   {
      $form_m->add_error("language_name","Insert language");
   }
}
$form_m->open();
$form_m->text_input('Nation: ','nation_name');
$form_m->text_input('Langauge: ','language_name');
$form_m->submit_input('action','Add Nation');
$form_m->close();
$manager->close_page();
?>
