<?php
// display errors
//ini_set('display_errors',1); 
error_reporting(E_ALL);

//error handler function
function customError($errno, $errstr, $errfile, $errline)
{
	$time=date("Y-m-d G:i:s");
	$log_file="log/error_log.txt";
	if(!file_exists($log_file))
	{
		$file=fopen($log_file,"w");
		$text="($time) Created Error Log File. Markings: info (II), warning (WW), error (EE), fatal error (FF)\n";
		fwrite($file,$text);
		fclose($file);
	}
	error_log("($time) Error: [$errno] $errstr in $errfile, line $errline\n",3,$log_file);
}

//set error handler
set_error_handler("customError",E_ALL);
?>
