<?php
// last edit: 09-10-2012

// INPUT object

class my_input
{

	protected $form=NULL;
	public $type="text";
	public $name="input";
	public $maxlength=50;
	public $value="";

	public function __construct($form,$type="text",$maxlength=50)
	{
		$this->form=$form;
		$this->type=$type;
		$this->maxlength=$maxlength;
	}

	public function show()
	{
		// print the input tag

		if( empty($this->value) )
		{
			my_echo('<input type="'.$this->type.'" name="'.$this->name.'" maxlength="'.$this->maxlength.'">');
		}
		else
		{
			my_echo('<input type="'.$this->type.'" name="'.$this->name.'" value="'.$this->value.'" maxlength="'.$this->maxlength.'">');
		}
	}

	public function show_error()
	{
		// print the error message

		if( isset($this->form->errors[$this->name]) )
		{
			my_echo(' <a class="red">'.$this->form->errors[$this->name].'</a>');
		}
	}

	public function show_with_text($text="Please insert something: ")
	{
		// print the tag with the text and errors

		my_echo('<p>'.$text);
		$this->show();
		$this->show_error();
		my_echo('</p>');
	}
}
?>
