
-- tables 1
INSERT INTO `nations` (`id_nation`, `nation`, `language`) VALUES
(1, 'United Kingdom', 'English'),
(2, 'Australia', 'English'),
(3, 'United States of America', 'English'),
(4, 'France', 'French'),
(5, 'Canada', 'English'),
(6, 'Italy', 'Italian'),
(7, 'New Zealand', 'English');

INSERT INTO `genres` (`id_genre`, `genre`) VALUES
(1, 'science fiction'),
(2, 'comedy'),
(3, 'adventure'),
(4, 'thriller'),
(5, 'fantasy');

INSERT INTO `roles` (`id_role`, `role`) VALUES
(1, 'director'),
(2, 'producer'),
(3, 'character (main)'),
(4, 'character (supporting)');

-- tables 2

INSERT INTO `people` (`id_people`, `id_nation`, `surname`, `name`, `birthdate`) VALUES
(1, 5, 'Cameron', 'James', '1954-08-16'),
(2, 2, 'Worthington', 'Sam', '1976-08-02'),
(3, 3, 'Saldana', 'Zoe', '1978-06-19'),
(4, 3, 'Landau', 'Jon', '1960-07-23'),
(5, 7, 'Jackson', 'Peter', '1961-10-31'),
(6, 3, 'Wood', 'Elijah', '1981-01-28'),
(7, 2, 'Ferguson', 'Mark', '1961-02-28');

INSERT INTO `movies` (`id_movie`, `id_nation`, `title`, `release_date`, `runtime`, `type`) VALUES
(1, 3, 'Avatar', '2009-12-10', 171, '3D'),
(2, 3, 'Terminator', '1984-01-25', 107, 'Color'),
(3, 3, 'The Lord of the Rings: The Fellowship of the Ring', '2002-01-18', 178, 'color');

-- relations

INSERT INTO `movies_genres` (`id_movie`, `id_genre`) VALUES
(1, 1),
(2, 1),
(1, 3),
(3, 3),
(2, 4),
(3, 5);

INSERT INTO `movies_people` (`id_movie`, `id_people`, `id_role`) VALUES
(1, 1, 1),
(1, 1, 2),
(2, 1, 1),
(1, 2, 3),
(1, 3, 4),
(1, 4, 2),
(3, 5, 1),
(3, 6, 3),
(3, 7, 4);


