<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('lib/my_redirect.php');
include('lib/my_log_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();

$log=new my_log_manager();

$manager->fetch_variables(array("type","id_movie","id_people","id_role"));

// check id_movie
$error=array();
if(preg_match('/^[0-9]+$/',$manager->variables["id_movie"]) && $manager->variables["id_movie"] > 0 )
{
   $error["movie"]=false;
}
else
{
   $error["movie"]=true;
   $manager->variables["id_movie"]="";
   $manager->variables["error_movie"]=1;
}
if(preg_match('/^[0-9]+$/',$manager->variables["id_people"]) && $manager->variables["id_people"] > 0 )
{
   $error["people"]=false;  
}
else
{
   $error["people"]=true;  
   $manager->variables["id_people"]="";
   $manager->variables["error_people"]=1;
}
if(preg_match('/^[0-9]+$/',$manager->variables["id_role"]) && $manager->variables["id_role"] > 0 )
{
   $error["role"]=false;
}
else
{
   $error["role"]=true;  
   $manager->variables["id_role"]="";
   $manager->variables["error_role"]=1;
}

if($error["movie"] || $error["people"] || $error["role"])
{
   $link=my_redirect('add_to.php');
   $link=$manager->compose_link($link,$manager->variables,true);
   $manager->redirect($link);
}
else
{
   // add to database
   $query=sprintf('INSERT INTO movies_people(id_movie,id_people,id_role) VALUES (%d,%d,%d)',$manager->variables["id_movie"],$manager->variables["id_people"],$manager->variables["id_role"]);
   $result=$mysqli->query($query);

   if(!$result)
   {
      $manager->variables["deleted"]="error";
   }

   $log->add_entry('add_to_run.php',$query);

   if($manager->variables["type"]=="people")
   {
      $link=my_redirect('info_people.php');
   }
   else
   {
      $link=my_redirect('info_movie.php');
   }

   $link=$manager->compose_link($link,$manager->variables,true);

   $manager->redirect($link);
}
?>
