<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('lib/my_log_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();
$log=new my_log_manager();

// nations list
$query='SELECT id_nation, nation, language FROM nations ORDER BY nation';
$result=$mysqli->query($query);
$nations=array();
$id_nations=array();
while($row=$result->fetch_row())
{
   $id_nations[]=$row[0];
   $nations[]=$row[1].' ('.$row[2].')';
}

$variables=$manager->fetch_variable("id_people");
$variables=$manager->fetch_variables(array("error_name","error_surname","error_birthdate","error_nation"));

$manager->open_page("People");

$query=sprintf("SELECT P.name, P.surname, P.birthdate, P.id_nation FROM people P WHERE P.id_people=%d", $manager->variables["id_people"]);

$result=$mysqli->query($query);
$row=$result->fetch_row();

$form_e=$manager->form('edit_people_run.php');

$manager->write("General Info","bold");

$form_e->open();
if(!empty($manager->variables["error_name"]))
{
   $form_e->add_error('name','Insert name');
}
if(!empty($manager->variables["error_surname"]))
{
   $form_e->add_error('surname','Insert surname');
}
if(!empty($manager->variables["error_birthdate"]))
{
   $form_e->add_error('birthdate','Invalid format, use yyyy-mm-dd');
}
$form_e->hidden_input("id_people",$manager->variables["id_people"]);
$form_e->text_input("Name ","name",$row[0]);
$form_e->text_input("Surname ","surname",$row[1]);
$form_e->text_input("Birthdate ","birthdate",$row[2]);
$manager->variables["id_nation"]=$row[3];
// nation
$select_n=$form_e->construct_select_input();
$select_n->name="id_nation";
for($i=0;$i<count($nations);$i++)
{
   $select_n->add_option($id_nations[$i],$nations[$i]);
}
$select_n->show_with_text('Nation: ');
$form_e->submit_input("action","Edit People");

$form_e->close();

$manager->breakline();
$manager->return_link_with_get('info_people.php',array("id_people" => $manager->variables["id_people"]),"Back");

$manager->close_page();
?>
