<?php
include('lib/my_error_manager.php');
include('lib/my_page_manager.php');
include('mysql_connect.php');

$manager=new my_page_manager();

$variables=$manager->fetch_variables(array("id_people","deleted"));

$query=sprintf("SELECT P.name,P.surname, N.nation, P.birthdate FROM people P, nations N WHERE P.id_people=%d AND P.id_nation=N.id_nation", $manager->variables["id_people"]);

$result=$mysqli->query($query);

$row=$result->fetch_row();

$manager->open_page($row[0].' '.$row[1]);

if($manager->variables["deleted"]=="relation")
{
   $manager->write("Movie deleted","red");
}
if($manager->variables["deleted"]=="error")
{
   $manager->write("Error","red");
}

// print the general info
$manager->write("General Info","bold");
my_echo('<p>');
my_echo('Name: '.$row[0].' '.$row[1]);
$manager->breakline();
my_echo('Release date: '.$row[3]);
$manager->breakline();
my_echo('Nationality: '.$row[2]);
$manager->breakline();
my_echo('</p>');

$manager->return_link_with_get("edit_people.php",array("id_people"=>$manager->variables["id_people"]),"Edit info");

$manager->breakline();

// FOUND IN
$query=sprintf("SELECT M.title, M.id_movie, R.role FROM movies M, movies_people MP, roles R WHERE MP.id_people=%d AND MP.id_movie=M.id_movie AND MP.id_role=R.id_role ORDER BY M.title",$manager->variables["id_people"]);
$result=$mysqli->query($query);

$tot_movies=$result->num_rows;

if($tot_movies>0)
{
   $manager->write("Filmography","bold");

   $table_r=$manager->table(2);
   $table_r->open();
   while($row=$result->fetch_row())
   {
      $movie='<a href="info_movie.php?id_movie='.$row[1].'">'.$row[0].'</a>';
      $table_r->add_row(array($movie,$row[2]));
   }
   $table_r->close();
}
else
{
   $manager->write('There are no movies associated with this person');
}

$manager->breakline();
$manager->return_link_with_get("add_to.php",array("id_people"=>$manager->variables["id_people"],"type"=>'people'),"Add a Film");
$manager->return_link_with_get("delete_people.php",$manager->variables,"Delete");
$manager->breakline();
$manager->return_link("index.php","Home");

$manager->close_page();
?>
