<?php
// last edit: 09-10-2012

class my_log_manager
{

	protected $database;
	protected $sqlite;
	protected $disabled=false;

	public function __construct($database="log/action_log.txt")
	{
		# set "log/action_log.db"
		$this->database=$database;

		if(!file_exists($database))
		{
			# create $database file
         $file=fopen($database,"w");
		   fclose($file);
		}
	} // construct

	private function findIP()
	{
		if (!empty($_SERVER['HTTP_CLIENT_IP']))   //check ip from share internet
		{
		  $ip=$_SERVER['HTTP_CLIENT_IP'];
		}
		elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))   //to check ip is pass from proxy
		{
		  $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else
		{
		  $ip=$_SERVER['REMOTE_ADDR'];
		}
		return $ip;

	} // findIP

	public function add_entry($action,$query)
	{
		# adds an entry
		# action = script which ran the query
		# query = query issued

		$ip=$this->findIP();
		$date=date("Y-m-d G:i:s");

      $file=fopen($this->database,"a");

      $text='('.$date.') '.$query.'-- executed at '.$action.' ['.$ip.']'."\n";

		fwrite($file,$text);
		
		fclose($file);


	} // add_entry

	public function read_last_queries($number)
	{
		// find the max number of entries (I do not like nested queries)

      $queries=array();
      $file=file($this->database);
      if(count($file)<=$number)
      {
         $queries=$file;
      }
      else
      {
         for( $i=count($file)-$number-1 ; $i<count($file) ; $i++)
         {
            $queries[]=$file[$i];
         }
      }

      $queries=array_reverse($queries);

		if(empty($queries))
		{
			$queries[0]="No queries in the action_log database";
		}

		return $queries;

	} // read_last_queries

} // my_log_manager
?>
