<?php
// last edit: 09-10-2012

// SELECT object

class my_select_input
{

	public $name="select";
	protected $form=NULL;
	protected $options_list=array();

	public function __construct($form)
	{
		$this->form=$form;
	}

	public function add_option($value,$text)
	{
		// check if this is the selected option

		if( isset( $this->form->page->variables[$this->name] ) && $this->form->page->variables[$this->name] == $value )
		{
			$this->options_list[]='<option selected="selected" value="'.$value.'">'.$text.'</option>';
		}
		else
		{
			$this->options_list[]='<option value="'.$value.'">'.$text.'</option>';
		}	
	}

	public function show()
	{
		// print the select input

		my_echo('<select name="'.$this->name.'">');
		// print all the options
		foreach( $this->options_list as $option )
		{
			my_echo($option);
		}
		my_echo('</select>');

		// print errors
		if( isset($this->form->errors[$this->name]) )
		{
			my_echo(' <a class="red">'.$this->form->errors[$this->name].'</a>');
		}
	}

	public function show_with_text($text="Please select an option: ")
	{
		my_echo('<p>'.$text);
		$this->show();
		my_echo('</p>');
	}
}
// my_select input
?>
